package com.nokia.dingtalkapi.config;

import org.springframework.boot.autoconfigure.condition.ConditionalOnMissingBean;
import org.springframework.boot.autoconfigure.condition.ConditionalOnProperty;
import org.springframework.boot.context.properties.EnableConfigurationProperties;
import org.springframework.context.annotation.Bean;
import org.springframework.context.annotation.Configuration;
import org.springframework.web.client.RestTemplate;

import com.nokia.dingtalkapi.properties.DingtalkProperties;
import com.nokia.dingtalkapi.service.DingtalkService;
import com.nokia.dingtalkapi.service.impl.DingTalkServiceImpl;

/**
 * 自动配置钉钉API
 */
@Configuration
@ConditionalOnProperty(name = "dingtalk.api.enable", havingValue = "true", matchIfMissing = false)
@EnableConfigurationProperties(DingtalkProperties.class)
public class DingtalkAutoConfiguration {

    @Bean
    public DingtalkService dingtalkService() {
        return new DingTalkServiceImpl();
    }

    @Bean
    @ConditionalOnMissingBean
    public RestTemplate restTemplate() {
        return new RestTemplate();
    }
}
